<?php

namespace WpBookingEventAdmin\app\views\calendar;

use WpBookingEvent\Html\ToolBar;
use WpBookingEvent\Mvc\Model\Model;
use WpBookingEvent\Mvc\View\View;
use WpBookingEvent\Factory as FactoryAlias;

class CalendarView extends View
{
    public function display($tpl)
    {
        switch ($tpl) {
            case "list":
                $modelCalendar = Model::getInstance("calendar");
                $this->list = $modelCalendar->getList();
                
                $modelOrders = Model::getInstance("orders");
                $this->list_order = $modelOrders->getList();

                $modelEmployee=Model::getInstance("employee");
                $this->list_employee=$modelEmployee->getList();
                $modelCustomer=Model::getInstance("customer");
                $this->list_customer=$modelCustomer->getList();
                break;
        }
        return parent::display($tpl);
    }
}